
Foreman - Feature #32243

Add pagelet endpoint to buttons at index of subnets page

04/01/2021 01:08 PM - Dominik Matoulek

Status: Closed   

Priority: Normal   

Assignee: Dominik Matoulek   

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases: 2.5.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8425,

https://github.com/theforeman/foreman/p

ull/8441

  

Description

Related issues:

Related to Boot disk - Refactor #10814: Move Subnet disk generation from Host... Closed

Associated revisions

Revision 2a5ecb70 - 04/06/2021 10:16 AM - Dominik Matoulek

fixes #32243 - Adding render_pagelet to subnet page

This PR introduced a pagelet endpoint at subnet index page. It's placed at the buttons part of every subnet record. So it can be use for further

extensibility with plugins.

Revision 0866bc0e - 04/13/2021 02:17 PM - Dominik Matoulek

fixes #32243 - Adding render_pagelet to subnet page

This PR introduced a pagelet endpoint at subnet index page. It's placed at the buttons part of every subnet record. So it can be use for further

extensibility with plugins. It also adds a pagelet endpoint to title buttons at subnet page.

History

#1 - 04/01/2021 01:08 PM - Dominik Matoulek

- Subject changed from Add pagelet to buttons at index of subnets page to Add pagelet endpoint to buttons at index of subnets page

#2 - 04/01/2021 01:09 PM - Dominik Matoulek

- Related to Refactor #10814: Move Subnet disk generation from Hosts to Subnet page added

#3 - 04/01/2021 01:12 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8425 added

#4 - 04/06/2021 10:16 AM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#5 - 04/06/2021 11:01 AM - Dominik Matoulek

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|2a5ecb70d22527c39a1da37415831698d511bba4.

#6 - 04/13/2021 06:55 AM - The Foreman Bot
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/2a5ecb70d22527c39a1da37415831698d511bba4


- Pull request https://github.com/theforeman/foreman/pull/8441 added

#7 - 04/16/2021 01:34 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8443 added

#8 - 04/19/2021 04:08 PM - Dominik Matoulek

- Pull request deleted (https://github.com/theforeman/foreman/pull/8443)

#9 - 05/05/2021 02:27 PM - Tomer Brisker

- Category set to Web Interface
